# norootforbuild
#!BuildIgnore:          post-build-checks
%define     binname     x264-compat
%define     realname    libx264
%define     sonamecompa 60
%define     svncompa    20080829
%define     sonamecompb 57
%define     svncompb    20080126

Name:           %{binname}
Summary:        A free h264/avc encoder - encoder binary
Version:        0.0svn20080829
Release:        15.5
License:        GNU General Public License (GPL)
Group:          Productivity/Multimedia/Video
URL:            http://developers.videolan.org/x264.html
Source0:        ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{svncompa}-2245.tar.bz2
Source1:        ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-%{svncompb}-2245.tar.bz2
BuildRoot:      %{_tmppath}/build-root-%{name}
Requires:       %{realname}-%{sonamecompa} = %{version}-%{release}
BuildRequires:  nasm
BuildRequires:  yasm >= 0.7.1

%description 
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a shared library and a commandline tool for encoding
H264 streams. This library is needed for mplayer/mencoder for H264
encoding support.

Encoder features:
- CAVLC/CABAC
- Multi-references
- Intra: all macroblock types (16x16, 8x8, and 4x4 with all predictions)
- Inter P: all partitions (from 16x16 down to 4x4)
- Inter B: partitions from 16x16 down to 8x8 (including skip/direct)
- Ratecontrol: constant quantizer, single or multipass ABR, optional VBV
- Scene cut detection
- Adaptive B-frame placement
- B-frames as references / arbitrary frame order
- 8x8 and 4x4 adaptive spatial transform
- Lossless mode
- Custom quantization matrices
- Parallel encoding of multiple slices (currently disabled)

Be aware that the x264 library is still in early development stage. The
command line tool x264 can handle only raw YUV 4:2:0 streams at the
moment so please use mencoder or another tool that supports x264 library
for all other file types.

%package -n %{realname}-%{sonamecompa}
Summary:        A free h264/avc encoder - encoder binary
Group:          Productivity/Multimedia/Video

%description -n %{realname}-%{sonamecompa}
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a static library and a header needed for the
development with libx264. This library is needed to build
mplayer/mencoder with H264 encoding support.


%package -n %{realname}-%{sonamecompb}
Summary:        A free h264/avc encoder - encoder binary
Group:          Productivity/Multimedia/Video

%description -n %{realname}-%{sonamecompb}
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a static library and a header needed for the
development with libx264. This library is needed to build
mplayer/mencoder with H264 encoding support.


%package -n %{binname}-devel
Summary:        Libraries and include file for the x264 encoder
Group:          Development/Libraries/C and C++
Requires:       %{realname}-%{sonamecompa} = %{version}-%{release}
Requires:       %{buildrequires}
Obsoletes:      x264-compat-devel < %{version}-%{release}
Provides:       x264-compat-devel = %{version}-%{release}

%description -n %{binname}-devel
x264 is a free library for encoding next-generation H264/AVC video
streams. The code is written from scratch by Laurent Aimar, Loren
Merritt, Eric Petit (OS X), Min Chen (vfw/asm), Justin Clay (vfw), Mans
Rullgard, Radek Czyz, Christian Heine (asm), Alex Izvorski (asm), and
Alex Wright. It is released under the terms of the GPL license. This
package contains a static library and a header needed for the
development with libx264. This library is needed to build
mplayer/mencoder with H264 encoding support.

%debug_package

%prep
%setup -q -n "x264-snapshot-%{svncompa}-2245" -b 1

%build
%ifarch i586
#no mmx or sse on the i586 package, therefore use i686 package, should run on every i586 cpu
%configure --enable-shared --enable-pic --disable-asm
%else
%configure --enable-shared --enable-pic
%endif
%__make %{?jobs:-j%{jobs}}

cd ../x264-snapshot-%{svncompb}-2245
%ifarch i586
#no mmx or sse on the i586 package, therefore use i686 package, should run on every i586 cpu
%configure --enable-shared --enable-pic --disable-asm
%else
%configure --enable-shared --enable-pic
%endif
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm -f "%{buildroot}/%{_libdir}/libx264.so"
%__ln_s libx264.so.%{sonamecompa} "%{buildroot}%{_libdir}/libx264.so"

cd ../x264-snapshot-%{svncompa}-2245
%{__install} -m 644 libx264.so.%{sonamecompa} %{buildroot}%{_libdir}/

cd ../x264-snapshot-%{svncompb}-2245
%{__install} -m 644 libx264.so.%{sonamecompb} %{buildroot}%{_libdir}/

%clean
%__rm -rf "%{buildroot}"

%post -n %{realname}-%{sonamecompa}
/sbin/ldconfig

%postun -n %{realname}-%{sonamecompa}
/sbin/ldconfig

%post -n %{realname}-%{sonamecompb}
/sbin/ldconfig

%postun -n %{realname}-%{sonamecompb}
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc doc/*.txt
%attr(0755,root,root) %{_bindir}/x264

%files -n %{realname}-%{sonamecompa}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/libx264.so.%{sonamecompa}

%files -n %{realname}-%{sonamecompb}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/libx264.so.%{sonamecompb}

%files -n %{binname}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/x264.pc
%{_includedir}/x264.h
%{_libdir}/libx264.so
%{_libdir}/libx264.a

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
